Bug 116564 - [PATCH] sambaBackend.isSmbRunning() does not handle l10n
[PATCH] sambaBackend.isSmbRunning() does not handle l10n
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-samba (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-23 04:18 EST by Miloslav Trmac
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-04 18:56:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use (LC_MESSAGES=C /etc/init.d/smb) instead of (/sbin/service smb) (404 bytes, patch)
2004-02-23 04:19 EST, Miloslav Trmac
no flags Details | Diff

  None (edit)
Description Miloslav Trmac 2004-02-23 04:18:33 EST
Description of problem:
sambaBackend.isSmbRunning() is greping the output of 
(/sbin/service smb status), which is usually localized,
so the function always returns None outside of en_*.

Version-Release number of selected component (if applicable):
redhat-config-samba-1.1.4-1
Comment 1 Miloslav Trmac 2004-02-23 04:19:14 EST
Created attachment 97939 [details]
Use (LC_MESSAGES=C /etc/init.d/smb) instead of (/sbin/service smb)
Comment 2 Brent Fox 2004-03-04 18:56:42 EST
Should be fixed in system-config-samba-1.2.3-1.  Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.